NAME
ckbinarsys - determine whether remote system can accept binary messages

SYNOPSIS
ckbinarsys [-S] -s remote_system_name -t content_type

DESCRIPTION
Because rmail can transport binary data, it may be important to determine whether a particular remote system (typically the next hop) can handle binary data via the chosen transport layer agent (uux, SMTP, etc.)

ckbinarsys consults the file /etc/mail/binarsys for information on a specific remote system. ckbinarsys returns its results via an appropriate exit code. An exit code of zero implies that it is OK to send a message with the indicated content type to the system specified. An exit code other than zero indicates that the remote system cannot properly handle messages with binary content.

The absence of the binarsys file will cause ckbinarsys to exit with a non-zero exit code.

Command-line arguments are:

-s remote_system_name
    Name of remote system to look up in /etc/mail/binarsys
-t content_type
    Content type of message to be sent. When invoked by rmail, this will be one of two strings: text or binary, as determined by mail independent of any Content-Type: header lines that may be present within the message header. All other arguments are treated as equivalent to binary.
-S  Normally, ckbinarsys will print a message (if the binary mail is rejected) which would be suitable for rmail to return in the negative acknowledgement mail. When -S is specified, no message will be printed.

FILES
/etc/mail/binarsys
/usr/lib/mail/surrcmd/ckbinarsys

SEE ALSO
mailsurr(4), binarsys(4)
mail(1), uux(1) in the User's Reference Manual.